Skip to content Kleinanzeigen Public API Gateway Documentation
GET
/v1/listings/{uuid}
curl --request GET \
--url https://developer.kleinanzeigen.de/api/goods/v1/listings/123e4567-e89b-12d3-a456-426614174000 \
--header 'HttpHeaders.AUTHORIZATION: eyJhbGciOiJIUzI1NiIsInR5...'

Retrieves a specific listing by its UUID. The listing must belong to the authenticated user.

uuid
required
string
Example
123e4567-e89b-12d3-a456-426614174000
HttpHeaders.AUTHORIZATION
required

Successfully returned listing details for the specified uuid

Media type application/json
string
Example
{
"uuid": "dfe2ec14-56ec-40a1-9837-d777d850347b",
"category": "Spielzeug",
"title": "My Listing",
"description": "Description of my listing",
"attributes": {
"art": "actionfiguren",
"condition": "like_new",
"versand": "ja"
},
"adType": "OFFER",
"adPrice": {
"type": "FIXED",
"amount": 100
},
"userId": "11111111-k6gd-4113-b395-5459ec678ddd",
"email": "john@abc.com",
"phoneNumber": "123456789",
"customReference": "4345339",
"contactPerson": "John Doe",
"buyNow": false,
"urls": []
}

Couldn’t find a listing for the specified UUID

Media type application/json
object
type
string format: uri
title
string | null
status
integer format: int32
detail
string | null
instance
string | null format: uri
properties
object | null
Example
{
"type": "about:blank",
"status": 404,
"title": "Not Found",
"detail": "Listing not found",
"instance": "/api/v1/listings/123e4567-e89b-12d3-a456-426614174000",
"localizedTitle": "",
"localizedDetail": "",
"localizedMessage": ""
}